/*
	XmBlackBerry, Copyright (C) 2008  Rick Scott <rwscott@users.sourceforge.net>
	Copyright 2008, Chris Frey, NetDirect Inc. (http://www.netdirect.ca/)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 2.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _CRYPTO_H
#define _CRYPTO_H
int blackberry_sha1_init(void);
void blackberry_sha1_dnit(void);
int blackberry_sha1_avail(void);		// returns 1 if sha1 is available
unsigned int blackberry_sha1_digestsize(void);
void blackberry_sha1_sum(const void *input, int len, unsigned char *hashout);
#endif
