/* Use this file if 'make config.h' does not
   find the right stuff for you.
*/

#include <linux/version.h>

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "XmBlackBerry <xmblackberry-devel@lists.sourceforge.net>"

/* Define to the full name of this package. */
#define PACKAGE_NAME "BlackBerry Kernel Module"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "BlackBerry Kernel Module 0.0.0"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "blackberry-kernel-module"

/* Define to the version of this package. */
#define PACKAGE_VERSION "0.0.0"

#if LINUX_VERSION_CODE > KERNEL_VERSION(2, 6, 9)
#define HAVE_LINUX_SCATTERLIST_H 1
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 10)
#define FROM_USER_IN_TTY_OPS 1
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 39)
#define FILE_IN_TTY_OPS_TIOCM 1
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 16)
#define HAVE_TTY_FLIP_BUFFER 1
#endif

#if LINUX_VERSION_CODE > KERNEL_VERSION(2, 6, 18)
#define HAVE_HASH_DESC 1
#define HAVE_WORK_FUNC_T 1
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 19)
#define USB_COMPLETE_NEEDS_REGS 1
#endif

#if LINUX_VERSION_CODE > KERNEL_VERSION(2, 6, 26)
/* Define if kernel > 2.6.26?? */
#define HAVE_PRINT_HEX_DUMP_BYTES 1
#endif

#if LINUX_VERSION_CODE > KERNEL_VERSION(2, 6, 26)
#define TTY_DRIVER_OPS_PTR
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 35)
#define usb_free_coherent usb_buffer_free
#define usb_alloc_coherent usb_buffer_alloc
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 39)
#define HAVE_LOCK_KERNEL 1
#endif
